<?php

namespace Lc\ShopBundle\Model;

use App\Entity\Hub;
use Doctrine\ORM\Mapping as ORM;
use Lc\ShopBundle\Context\FilterMerchantInterface;

/**
 * @ORM\MappedSuperclass()
 */
abstract class Page extends AbstractDocumentEntity implements FilterMerchantInterface
{
        /**
         * @ORM\Column(type="text", nullable=true)
         */
        protected $content;

        /**
         * @ORM\ManyToOne(targetEntity="Lc\ShopBundle\Context\MerchantInterface", inversedBy="pages")
         * @ORM\JoinColumn(nullable=false)
         */
        protected $merchant;

        public function __toString()
        {
                return $this->getTitle() ;
        }

        public function getContent(): ?string
        {
                return $this->content;
        }

        public function setContent(?string $content): self
        {
                $this->content = $content;

                return $this;
        }

        public function getMerchant(): ?Hub
        {
                return $this->merchant;
        }

        public function setMerchant(?Hub $merchant): self
        {
                $this->merchant = $merchant;

                return $this;
        }
}
